classdef DiscoveredKea < handle
  % DiscoveredKea
  %   Simple class containing information about found kea cameras
  %
  % Methods:
  %   serial - The serial
  %   info - Additional information about the discovered camera
  %

  properties(Access=protected)
    mPtr = uint64(0);
  end

  methods(Access=public)
    function obj = DiscoveredKea(varargin)
      % DiscoveredKea
      %   Construct new discovered_kea class
      %

      if nargin == 1 && isa(varargin{1}, 'uint64')
        obj.mPtr = varargin{1};
      else
        error("Can't construct empty object");
      end
    end

    function delete(obj)
      if obj.mPtr ~= 0
        tof.mex('tof_discovered_kea_delete', obj.mPtr);
        obj.mPtr = 0;
      end
    end

    function ptr = get_object_ptr(obj)
      ptr = obj.mPtr;
    end

    function ret_val = serial(obj)
      % serial
      %   The serial
      %
      % Output:
      %   ret_val - string - Serial
      %

      ret_val = tof.mex('tof_discovered_kea_serial', obj.mPtr);
    end

    function ret_val = info(obj)
      % info
      %   Additional information about the discovered camera
      %
      % Output:
      %   ret_val - string - Additional information
      %

      ret_val = tof.mex('tof_discovered_kea_info', obj.mPtr);
    end

  end
end
