#include <chronoptics/tof/gige_interface.hpp>

namespace tof = chronoptics::tof;

int main() {
  /* Serial number of the camera to connect to. If this is empty, the
     first camera that is found will be connected to */
  const char* serial = "2020004";

  /* Config file to use. If the config file can't be found then a
     default one will be used */
  const char* configFile = "camera_config.bin";

  tof::CameraConfig config(configFile);

  tof::GigeInterface cam;
  tof::DiscoveryMessage msg = cam.find(serial);

  cam.connect(msg);
  cam.upload_configuration(config);
  cam.disconnect();
}
